> For the complete documentation index, see [llms.txt](https://docs.limio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.limio.com/components/component-library/modular-checkout-components/modular-checkout-subcomponents-in-form/form-subcomponents-first-name-field-last-name-field-and-email-field.md).

# Form Subcomponents: First Name Field, Last Name Field and Email Field

The First Name, Last Name, and Email Field components subcomponent can only be used within the [Form component](/components/component-library/modular-checkout-components/component-checkout-form.md).

### Props

| Prop Name      | Label                         | Type    | Default Value              | Description                                                  |
| -------------- | ----------------------------- | ------- | -------------------------- | ------------------------------------------------------------ |
| label          | Label                         | string  | First Name/Last Name/Email | The label text for the field                                 |
| disabled       | Disabled                      | boolean | false                      | Determines whether the field is disabled or not              |
| minlength      | Minimum length                | string  | ""                         | The minimum length of the input value                        |
| maxlength      | Maximum length                | string  | ""                         | The maximum length of the input value                        |
| regex          | Validation regular expression | string  | ""                         | A regular expression pattern that the input value must match |
| col            | Column Size                   | number  | 12                         | Size of the columns                                          |
| invalidMessage | Invalid message               | string  | ""                         | The error message to display when the input value is invalid |
| toolTipMessage | Tooltip message               | string  | ""                         | The tooltip message to display for the field                 |
| fieldClassName | Class Name                    | string  | ""                         | The CSS class name for styling the field component           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.limio.com/components/component-library/modular-checkout-components/modular-checkout-subcomponents-in-form/form-subcomponents-first-name-field-last-name-field-and-email-field.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
